<?php

namespace App\Providers;

use Illuminate\Support\Facades\Event;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;

class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     *
     */
    protected $listen = [
        \App\Works\Events\WorksEditedEvent::class => [
            \App\Works\Listeners\WorksSearcherListener::class
        ],
        \App\Sets\Events\SetsEditedEvent::class => [
            \App\Sets\Listeners\SetsSearcherListener::class,
            \App\Sets\Listeners\SetsEditedListener::class
        ],
        \App\Article\Events\ArtAddEvent::class => [
            \App\Article\Listeners\ArtListener::class
        ],
        \App\Article\Events\ArtEditedEvent::class => [
            \App\Article\Listeners\ArtListener::class
        ],
        \App\Works\Events\DetailDeleteEvent::class => [
            \App\Works\Listeners\DeleteImageFromCDN::class
        ]
    ];

    /**
     * Register any events for your application.
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
